# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname pytorctl
%if 0%{?rhel} <= 5
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%global commit 3de91767e208d1642a8cf89dc1b645f637abaf8e
%global date 20111213
%global libname TorCtl

Name:           python-module-pytorctl
Version:        0
Release:        alt1_0.11.%{date}git
Summary:        TorCtl Python bindings

Group:          Development/Python
License:        BSD
URL:            https://gitweb.torproject.org/pytorctl.git
# git clone git://git.torproject.org/pytorctl.git
# cd pytorctl; git archive --format=tar --prefix=pytorctl/ %%{commit} | gzip > pytorctl-%%{version}-%%{date}git.tar.gz
Source0:        %{oldname}-%{version}-%{date}git.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
Python bindings for controlling the Tor router


%prep
%setup -q -n %{oldname}


%build


%install
mkdir -p %{buildroot}%{python_sitelibdir_noarch}/%{libname}
install -m 0644 *.py %{buildroot}%{python_sitelibdir_noarch}/%{libname}
# Remove shebang from libraries
for lib in %{buildroot}%{python_sitelibdir_noarch}/%{libname}/*.py; do
 sed '/#!\/usr\/bin\/python/d' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


%files
%doc LICENSE README
%{python_sitelibdir_noarch}/%{libname}


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.11.20111213git
- update to new release by fcimport

* Thu Jan 10 2013 Igor Vlasenko <viy@altlinux.ru> 0-alt1_0.10.20111213git
- initial fc import

